Subject: Re: bug#6991: Please keep bytecode out of *Backtrace* buffers

From: Noam Postavsky <[email-masked]>
Date: Sat, 26 Nov 2016 19:33:30 -0500

On Sat, Nov 26, 2016 at 6:45 PM, Richard Stallman <[email-masked]> wrote:
>
> Why not take the bytecode _entirely_ out of the backtrace buffer?
> Is it ever any use?

It can be disassembled, and may hold useful information that would
otherwise be missing.

>
> I proposed a week ago to print bytecode functions differently,
> without showing the bytecode.

I think it might make sense to hide the bytecode with display
properties, but keep the text itself so that it's not lost when copied
to an email.